Package org.jfree.report.modules.misc.autotable

## Class AutoTableElement

- java.lang.Object
- - org.jfree.report.structure.Node
  - - org.jfree.report.structure.Element
    - - org.jfree.report.modules.misc.autotable.AutoTableElement

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class AutoTableElement
      extends Element

  Creation-Date: Dec 9, 2006, 5:46:48 PM
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jfree.report.structure.Element

      `ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutoTableElement()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContent​(Section cellElement)` |
    `void` | `addFooter​(Section footerCellElement)` |
    `void` | `addHeader​(Section headerCellElement)` |
    `Section` | `getContentCell​(int index)` |
    `int` | `getContentCount()` |
    `Section` | `getFooterCell​(int index)` |
    `int` | `getFooterCount()` |
    `Section` | `getHeaderCell​(int index)` |
    `int` | `getHeaderCount()` |

    - ### Methods inherited from class org.jfree.report.structure.Element

      `addExpression, clone, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

    - ### Methods inherited from class org.jfree.report.structure.Node

      `getGroup, getParent, getReport, getRootReport, setParent, updateParent`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoTableElement

          public AutoTableElement()

  - ### Method Detail

    - #### addHeader

          public void addHeader​(Section headerCellElement)

    - #### addFooter

          public void addFooter​(Section footerCellElement)

    - #### addContent

          public void addContent​(Section cellElement)

    - #### getHeaderCount

          public int getHeaderCount()

    - #### getFooterCount

          public int getFooterCount()

    - #### getContentCount

          public int getContentCount()

    - #### getHeaderCell

          public Section getHeaderCell​(int index)

    - #### getFooterCell

          public Section getFooterCell​(int index)

    - #### getContentCell

          public Section getContentCell​(int index)